#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 ghcide
version:              1.4.1.0
visibility:           public
id:                   ghcide-1.4.1.0-KDYtzRO1XMqFBKng8s3zob
key:                  ghcide-1.4.1.0-KDYtzRO1XMqFBKng8s3zob
license:              Apache-2.0
copyright:            Digital Asset and Ghcide contributors 2018-2020
maintainer:           Ghcide contributors
author:               Digital Asset and Ghcide contributors
homepage:
    https://github.com/haskell/haskell-language-server/tree/master/ghcide#readme

synopsis:             The core of an IDE
description:          A library for building Haskell IDE'\''s on top of the GHC API.
category:             Development
abi:                  cd8b8646bf2693ad76865833c8f6c1b9
exposed:              True
exposed-modules:
    Control.Concurrent.Strict Development.IDE
    Development.IDE.Core.Actions Development.IDE.Core.Compile
    Development.IDE.Core.Debouncer Development.IDE.Core.FileStore
    Development.IDE.Core.IdeConfiguration
    Development.IDE.Core.OfInterest
    Development.IDE.Core.PositionMapping
    Development.IDE.Core.Preprocessor
    Development.IDE.Core.ProgressReporting
    Development.IDE.Core.RuleTypes Development.IDE.Core.Rules
    Development.IDE.Core.Service Development.IDE.Core.Shake
    Development.IDE.Core.Tracing Development.IDE.Core.UseStale
    Development.IDE.GHC.Compat Development.IDE.GHC.Error
    Development.IDE.GHC.ExactPrint Development.IDE.GHC.Orphans
    Development.IDE.GHC.Util
    Development.IDE.Import.DependencyInformation
    Development.IDE.Import.FindImports
    Development.IDE.LSP.HoverDefinition
    Development.IDE.LSP.LanguageServer Development.IDE.LSP.Outline
    Development.IDE.LSP.Server Development.IDE.Main
    Development.IDE.Plugin Development.IDE.Plugin.CodeAction
    Development.IDE.Plugin.CodeAction.ExactPrint
    Development.IDE.Plugin.Completions
    Development.IDE.Plugin.Completions.Types Development.IDE.Plugin.HLS
    Development.IDE.Plugin.HLS.GhcIde Development.IDE.Plugin.Test
    Development.IDE.Plugin.TypeLenses Development.IDE.Session
    Development.IDE.Spans.AtPoint Development.IDE.Spans.Common
    Development.IDE.Spans.Documentation
    Development.IDE.Spans.LocalBindings
    Development.IDE.Types.Diagnostics Development.IDE.Types.Exports
    Development.IDE.Types.HscEnvEq Development.IDE.Types.KnownTargets
    Development.IDE.Types.Location Development.IDE.Types.Logger
    Development.IDE.Types.Options Development.IDE.Types.Shake
    Generics.SYB.GHC

hidden-modules:
    Development.IDE.Core.FileExists Development.IDE.GHC.CPP
    Development.IDE.GHC.Warnings Development.IDE.LSP.Notifications
    Development.IDE.Plugin.CodeAction.PositionIndexed
    Development.IDE.Plugin.CodeAction.Args
    Development.IDE.Plugin.Completions.Logic
    Development.IDE.Session.VersionCheck Development.IDE.Types.Action

import-dirs:          /usr/lib/ghc-9.0.1/site-local/ghcide-1.4.1.0
library-dirs:         /usr/lib/ghc-9.0.1/site-local/ghcide-1.4.1.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/ghcide-1.4.1.0
hs-libraries:         HSghcide-1.4.1.0-KDYtzRO1XMqFBKng8s3zob
depends:
    Diff-0.4.0-F7vyJzYzam9CwrUJdg8bD2
    Glob-0.10.2-IjufxCfuL2iDDJXTBrJ8rg
    aeson-1.5.6.0-FZsVpvEwT8z4bK1D26EwAs
    aeson-pretty-0.8.9-4VpDxWXnDJA8Bu2hhX3Ado array-0.5.4.0
    async-2.2.3-9hcO3XZAP863cAPa5inA8N base-4.15.0.0
    base16-bytestring-1.0.1.0-ACUewSgXa2lGPxnToJIotQ binary-0.8.8.0
    bytestring-0.10.12.1
    bytestring-encoding-0.1.1.0-Hh3f3dFEfBU16uAnNajQO1
    case-insensitive-1.2.1.0-810KinvQcYx7xuCoSIHpwY containers-0.6.4.1
    cryptohash-sha1-0.11.100.1-76A50UqL08yHXaRzujd3cE
    data-default-0.7.1.1-5RJjHNv19ESJeD93LU2jRn deepseq-1.4.5.0
    dependent-map-0.4.0.0-KYAtBTM1O4tCuiRphQzM2D
    dependent-sum-0.7.1.0-DIrhf2psIrCJabLI7f0L8O directory-1.3.6.1
    dlist-1.0-DqtNBE1aXOzH1lBPsXifRQ
    extra-1.7.10-Ic4saaul5v2Abuas5lK2xt filepath-1.4.2.1
    fingertree-0.1.4.2-9J2gUWTCQY5GuREJSkXzUp
    fuzzy-0.1.0.1-JLXeQYZUvM4EnB1Cn9FXig ghc-9.0.1
    ghc-api-compat-8.6.1-3GYFFbfr2XZ391lwrGN6OF ghc-boot-9.0.1
    ghc-boot-th-9.0.1 ghc-check-0.5.0.6-2bo2Y1qgNrnCYfxTu7fMHq
    ghc-exactprint-0.6.4-GR4LvEur6522rTYZTO2hSh
    ghc-paths-0.1.0.12-D0EghxpsajHHuX2KoHY7KF
    ghc-trace-events-0.1.2.3-H9i6ubksa059TveTClHHiR
    haddock-library-1.10.0-6rGY9xFNd4T5spKGwkORJB
    hashable-1.3.4.0-IEtvls2JnYMCj5AtMjw8bF
    heapsize-0.3.0.1-DxlmUhK5T2kFvVQzQzcYaU
    hie-bios-0.7.6-68uRpgoXpCTGZk2NZL2FIH
    hie-compat-0.2.0.0-HHVbuGAk8zeLJ4sWoPjDO6
    hiedb-0.4.1.0-IXOmqaknD1ZGxHFweBzXwe
    hls-graph-1.4.0.0-9InNZckeDX9740l5omGfl
    hls-plugin-api-1.2.0.0-ET9SjbmuVAPH6IYhQH1CBc
    hslogger-1.3.1.0-2AG1ImTRkk7Cy6tgOIQFJE
    implicit-hie-cradle-0.3.0.5-HxhooJnndV51bT6ts0ijr8
    lens-5.0.1-E7Tul8EWHuqGCOW8gNOuPe lsp-1.2.0.1-euopm48q1qKcSxWYetfEL
    lsp-types-1.3.0.1-DuD6IXWiubRAfMVYQBVxtF mtl-2.2.2
    network-uri-2.6.4.1-BnEimF9gukhI4cE0Ew2RUr
    opentelemetry-0.7.0-Aj18OWPAAHNG6OYjhStfcp
    optparse-applicative-0.16.1.0-Hmp4enGFORO7G3xu1QJ5as
    parallel-3.2.2.0-G9JTeCQCHda2yggytvFxi6
    prettyprinter-1.7.1-Cr9OhaeuhZG9wS7WBggFWd
    prettyprinter-ansi-terminal-1.1.3-56brpgZIyjX2iwvXfjkCBe
    regex-tdfa-1.3.1.1-JysT5HHQf7SDqagoTfdJw
    retrie-1.0.0.0-DbaYgJQXkckFE6dSzApuJ9
    rope-utf16-splay-0.3.2.0-9D00P1C1dLC6FMV90WqCcx
    safe-0.3.19-BCcHjTM7bV690cTfMWPidj
    safe-exceptions-0.1.7.2-JOI5UtUHqC0IdzhxC8gvK0
    sorted-list-0.2.1.0-GAuY2s8imm748N24vRN1OU
    sqlite-simple-0.4.18.0-JGHidNxx4A2BMelYsnATuX stm-2.5.0.0
    syb-0.7.2.1-1KAKIfi7jVfHb7rx2ko4wD text-1.2.4.1 time-1.9.3
    transformers-0.5.6.2 unix-2.7.2.2
    unliftio-0.2.20-6cACn21LhzJEequYNw6Lpu
    unliftio-core-0.2.0.1-2baD1vXgUkB5a1NRn2rSLN
    unordered-containers-0.2.14.0-7Twq3Q78XsnAV2eREMKYwX
    utf8-string-1.0.2-FSV4F6pxd5y7PjtRkbEpDf
    vector-0.12.3.1-HMAplmdcuCN6dtD8e6QGwL

haddock-interfaces:   /usr/share/doc/haskell-ghcide/html/ghcide.haddock
haddock-html:         /usr/share/doc/haskell-ghcide/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

